{capture name="mainbox"}

    {capture name="sidebar"}
        {include file="addons/sw_bifit_online/views/sw_bifit_online/components/receipts_search_form.tpl"}
    {/capture}

    {include file="common/pagination.tpl" save_current_page=true save_current_url=true}

    {assign var="return_current_url" value=$config.current_url|escape:url}

    {if $receipts}
        <table width="100%" class="table table-middle table--relative">
            <thead>
                <tr>
                    <th>{__("sw_bifit_online.check_id")}</th>
                    <th>{__("order_id")}</th>
                    <th>{__("type")}</th>
                    <th>{__("status")}</th>
                    <th>{__("information")}</th>
                    <th></th>
                </tr>
            </thead>
            {foreach from=$receipts item="receipt"}
                <tr>
                    <td>{$receipt.check_id}</td>
                    <td>
                        <a href="{"orders.details?order_id=`$receipt.object_id`"|fn_url}">{__("order")} #{$receipt.object_id}</a>
                        <br />
                        <small class="nowrap muted">
                            {$receipt.timestamp|date_format:"`$settings.Appearance.date_format`, `$settings.Appearance.time_format`"}
                        </small>
                    </td>
                    <td>{$types[$receipt.type].name}</td>
                    <td>{$receipt.status}</td>
                    <td>
                    {$url_receipt = $receipt.full_data|fn_sw_bifit_online__get_receipt_link}
                    {if $url_receipt}
                    <a target="_blank" href="{$url_receipt}">{__("sw_bifit_online.view_receipt")}</a>
                    {/if}
                    </td>
                    <td width="10%" class="right nowrap">
                        <div class="pull-right">
                        {*
                            {capture name="tools_list"}
                                {if $receipt->getUUID()}
                                    <li>{btn type="list" id="recetip_info_link_{$receipt->getId()}" title=$receipt->getUUID() data=["data-ca-view-id" => $receipt->getUUID(), "data-ca-dialog-title" => $receipt->getUUID(), "data-ca-target-id" => "container_receipt_{$receipt->getId()}"] class="cm-dialog-opener cm-dialog-auto-size" text=__("view") href="online_cash_register.receipt?uuid=`$receipt->getUUID()`"}</li>
                                    <li>{btn type="list" text=__("rus_online_cash_register.refresh_receipt") href="online_cash_register.refresh?uuid=`$receipt->getUUID()`&return_url=`$return_current_url`" method="POST"}</li>
                                {/if}
                            {/capture}
                            {dropdown content=$smarty.capture.tools_list}
                            *}
                        </div>
                    </td>
                </tr>
            {/foreach}
        </table>
    {else}
        <p class="no-items">{__("no_data")}</p>
    {/if}

    {include file="common/pagination.tpl"}
{/capture}

{capture name="buttons"}
    {include
    file="buttons/button.tpl"
    but_href="sw_bifit_online.update_receipt"
    but_text=__("sw_bifit_online.update_receipt")
    but_role="action"}
 
{/capture}

{include file="common/mainbox.tpl" title=__("sw_bifit_online.receipts") content=$smarty.capture.mainbox buttons=$smarty.capture.buttons sidebar=$smarty.capture.sidebar}
